# Source Generated with Decompyle++
# File: in.pyc (Python 2.7)

""" Python Character Mapping Codec cp1006 generated from 'MAPPINGS/VENDORS/MISC/CP1006.TXT' with gencodec.py.

"""
import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'cp1006', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xc2\x80\xc2\x81\xc2\x82\xc2\x83\xc2\x84\xc2\x85\xc2\x86\xc2\x87\xc2\x88\xc2\x89\xc2\x8a\xc2\x8b\xc2\x8c\xc2\x8d\xc2\x8e\xc2\x8f\xc2\x90\xc2\x91\xc2\x92\xc2\x93\xc2\x94\xc2\x95\xc2\x96\xc2\x97\xc2\x98\xc2\x99\xc2\x9a\xc2\x9b\xc2\x9c\xc2\x9d\xc2\x9e\xc2\x9f\xc2\xa0\xdb\xb0\xdb\xb1\xdb\xb2\xdb\xb3\xdb\xb4\xdb\xb5\xdb\xb6\xdb\xb7\xdb\xb8\xdb\xb9\xd8\x8c\xd8\x9b\xc2\xad\xd8\x9f\xef\xba\x81\xef\xba\x8d\xef\xba\x8e\xef\xba\x8e\xef\xba\x8f\xef\xba\x91\xef\xad\x96\xef\xad\x98\xef\xba\x93\xef\xba\x95\xef\xba\x97\xef\xad\xa6\xef\xad\xa8\xef\xba\x99\xef\xba\x9b\xef\xba\x9d\xef\xba\x9f\xef\xad\xba\xef\xad\xbc\xef\xba\xa1\xef\xba\xa3\xef\xba\xa5\xef\xba\xa7\xef\xba\xa9\xef\xae\x84\xef\xba\xab\xef\xba\xad\xef\xae\x8c\xef\xba\xaf\xef\xae\x8a\xef\xba\xb1\xef\xba\xb3\xef\xba\xb5\xef\xba\xb7\xef\xba\xb9\xef\xba\xbb\xef\xba\xbd\xef\xba\xbf\xef\xbb\x81\xef\xbb\x85\xef\xbb\x89\xef\xbb\x8a\xef\xbb\x8b\xef\xbb\x8c\xef\xbb\x8d\xef\xbb\x8e\xef\xbb\x8f\xef\xbb\x90\xef\xbb\x91\xef\xbb\x93\xef\xbb\x95\xef\xbb\x97\xef\xbb\x99\xef\xbb\x9b\xef\xae\x92\xef\xae\x94\xef\xbb\x9d\xef\xbb\x9f\xef\xbb\xa0\xef\xbb\xa1\xef\xbb\xa3\xef\xae\x9e\xef\xbb\xa5\xef\xbb\xa7\xef\xba\x85\xef\xbb\xad\xef\xae\xa6\xef\xae\xa8\xef\xae\xa9\xef\xae\xaa\xef\xba\x80\xef\xba\x89\xef\xba\x8a\xef\xba\x8b\xef\xbb\xb1\xef\xbb\xb2\xef\xbb\xb3\xef\xae\xb0\xef\xae\xae\xef\xb9\xbc\xef\xb9\xbd'
encoding_table = codecs.charmap_build(decoding_table)
